[X2Go-Commits] [cups-x2go] 01/01: debian/cups-x2go.postrm: Remove special file permissions with dpkg-statoverride on postrm.

git-admin at x2go.org git-admin at x2go.org
Mon Jan 27 10:38:51 CET 2014


This is an automated email from the git hooks/post-receive script.

x2go pushed a commit to branch master
in repository cups-x2go.

commit 6de1bf1bd9779eff6b741ae7fb7b02d48ae9fbee
Author: Mike Gabriel <mike.gabriel at das-netzwerkteam.de>
Date:   Mon Jan 27 10:38:46 2014 +0100

    debian/cups-x2go.postrm: Remove special file permissions with dpkg-statoverride on postrm.
---
 debian/changelog        |    2 ++
 debian/cups-x2go.postrm |   38 ++++++++++++++++++++++++++++++++++++++
 2 files changed, 40 insertions(+)

diff --git a/debian/changelog b/debian/changelog
index 2e6c7b8..d04bdd3 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -10,6 +10,8 @@ cups-x2go (3.0.1.0-0x2go1) UNRELEASED; urgency=low
     + Ship cups-x2go.spec (RPM package definitions) in upstream project. (Thanks
       to the Fedora package maintainers).
     + Drop (Fedora package) changelog.
+  * debian/cups-x2go.postrm:
+    + Remove special file permissions with dpkg-statoverride on postrm.
 
  -- Mike Gabriel <mike.gabriel at das-netzwerkteam.de>  Wed, 07 Nov 2012 17:10:22 +0100
 
diff --git a/debian/cups-x2go.postrm b/debian/cups-x2go.postrm
new file mode 100755
index 0000000..1ad5744
--- /dev/null
+++ b/debian/cups-x2go.postrm
@@ -0,0 +1,38 @@
+#! /bin/sh
+# postrm script for cups-x2go
+#
+# see: dh_installdeb(1)
+# summary of how this script can be called:
+#        * <postrm> `remove'
+#        * <postrm> `purge'
+#        * <old-postrm> `upgrade' <new-version>
+#        * <new-postrm> `failed-upgrade' <old-version>
+#        * <new-postrm> `abort-install'
+#        * <new-postrm> `abort-install' <old-version>
+#        * <new-postrm> `abort-upgrade' <old-version>
+#        * <disappearer's-postrm> `disappear' <r>overwrit>r> <new-version>
+# for details, see /usr/share/doc/packaging-manual/
+
+set -e
+
+
+case "$1" in
+	purge|remove)
+		if dpkg-statoverride --list /usr/lib/cups/backend/cups-x2go >/dev/null; then
+			dkg-statoverride --remove /usr/lib/cups/backend/cups-x2go
+		fi
+
+	upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)
+		;;
+	*)
+		echo "postrm called with unknown argument \`$1'" >&2
+		exit 0
+		;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0

--
Alioth's /srv/git/_hooks_/post-receive-email on /srv/git/code.x2go.org/cups-x2go.git



More information about the x2go-commits mailing list